Redmine - Defect #12115

Sending Email redmine 2.1.2
2012-10-16 21:48 - Vanderson Vauruk

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 21.2

Description

I'm not sending email by redmine when | create a task or create a new user using version 2.x release, tested version 1.4.4 and it

usually sends email but the current version and a previous not working, | checked the settings several times and did not work, my
mail server in this field of business and internal ips not need authentication it allows anonymous authentication, | am waiting for a
reply thanks.

Related issues:
Related to Redmine - Defect #11376: Asynchronous email notifications aren't sent Closed

History

#1 - 2012-10-16 21:59 - Vanderson Vauruk
- Assignee deleted (Jean-Philippe Lang)

#2 - 2012-10-16 22:47 - Etienne Massip

If your mail settings where set on :async_smtp or :async_sendmail, please rename your smtp_settings section name to async_smtp_settings or
sendmail_settings to async_sendmail_settings (see #11376#note-10).

Else, have a look to your production.log contents.

#3 - 2012-10-17 01:08 - Vanderson Vauruk

Good Night, After change smtp_settings to async_smtp_settings, i don't receive any email from Redmine, no work yet.
.L?7?

Log before save user,

>"asc", "warn_on_leaving_unsaved"=>"1"}, "send_information"=>"1", "commit"=>"Salvar", "id"=>"3"}
Current user: vauruk (id=3)
Rendered mailer/account_information.text.erb within layouts/mailer (1.0ms)
Rendered mailer/account_information.html.erb within layouts/mailer (0.0ms)

Redirected to http://localhost:3000/users/3/edit

Completed 302 Found in 440ms (ActiveRecord: 15.0ms)

configuration.yml this:
| tried so

production:
email_delivery:
delivery_method: :smtp
smtp_settings:
address: host_email
port: 25

domain: company
authentication: :none

default:

email_delivery:
delivery_method: :async_smtp
async_smtp_settings:
address: host_email

port: 25

domain: mycompany
authentication: :login
https://www.redmine.org/issues/11376#note-10

#4 - 2012-10-18 17:51 - shikari shambu

Not sure if this helps. | upgraded from 1.1.1 to 2.1.2 and email notifications stopped... until | went to settings and did a test message. From there on it
seem to work fine. Maybe it was just coincidence.

#5 - 2012-10-19 13:18 - Vanderson Vauruk
- Status changed from New to Resolved

- % Done changed from 0 to 100

Thanks for help, here my problem is certificate in the email server, will i need name use in the host inside certificate digital, exemple:

default:

email_delivery:

delivery_method: :smtp

smtp_settings:

enable_starttls_auto: true

address: sf2001.dominio.local(name inside certificate)
port: 25

domain: dominio

authentication: :login

#6 - 2012-10-19 16:19 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid
